Skip to navigation

UpdateSipRegistration

View as Markdown

Update SIP registration. You should specify the application_id or application_name if you specify the rule_name or user_id, or user_name. You can bind only one SIP registration to the user (the previous SIP registration is automatically unbound).

Allowed roles: Owner, Admin, Developer.

Example request: Update SIP registration with id 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

sip_registration_idintegerRequired
The registration ID
sip_usernamestringOptional
The user name
proxystringOptional
The SIP proxy
auth_userstringOptional
The SIP authentications user
outbound_proxystringOptional
The outgoing SIP proxy
passwordstringOptional
The SIP password
application_idintegerOptional

The application ID which the SIP registration is to be bound to. Can be used instead of the application_name parameter

application_namestringOptional

The application name which the SIP registration is to be bound to. Can be used instead of the application_id parameter

rule_idintegerOptional

The rule ID which the SIP registration is to be bound to. Can be used instead of the rule_name parameter

rule_namestringOptional

The rule name which the SIP registration is to be bound to. Can be used instead of the rule_id parameter

user_idintegerOptional

The user ID which the SIP registration is to be bound to. Can be used instead of the user_name parameter

user_namestringOptional

The user name which the SIP registration is to be bound to. Can be used instead of the user_id parameter

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully